# -*- coding: utf-8 -*-

from pathlib import Path

from pydantic import BaseSettings


class PlatformSettings(BaseSettings):
    platform_host: str
    platform_secret: str

    class Config:
        env_file = '.env'


class TransferSettings(BaseSettings):
    transfer_host: str

    class Config:
        env_file = '.env'


class LoggerSettings(BaseSettings):
    logs_dir: Path

    class Config:
        env_file = '.env'
